Bug 1729935 - Incorrect row removed in UI when deleting a disk from Disks tab of the VM details page
Summary: Incorrect row removed in UI when deleting a disk from Disks tab of the VM det...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: User Experience
Version: 2.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 2.1.0
Assignee: Filip Krepinsky
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 11:17 UTC by Phillip Bailey
Modified: 2019-11-04 15:06 UTC (History)
3 users (show)

Fixed In Version: 4.2.0-0.nightly-2019-08-15-073735
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-04 15:06:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 1979 None None None 2019-07-16 11:18:28 UTC

Description Phillip Bailey 2019-07-15 11:17:58 UTC
Description of problem:
When deleting a disk from the Disks tab of the VM details page, the bottom row is always removed regardless of which disk is being deleted. The correct disk is deleted. Refreshing the UI or navigating away from the Disks tab and back again will cause the correct list to be displayed.

Version-Release number of selected component (if applicable): 2.1


How reproducible: 100%


Steps to Reproduce:
1. Navigate to the details view of a VM by selecting "Workloads" -> "Virtual Machines" in the side navigation and clicking the name of a VM
2. Click on the "Disks" tab
3. Click the kabob next to any of the disks except for the last one in the list
4. Click "Delete"

Actual results:
The bottom disk is removed from the list.

Expected results:
The disk being deleted is removed from the list.

Comment 1 Tomas Jelinek 2019-07-16 11:08:03 UTC
found in 2.1, targeting 2.1

Comment 2 Radim Hrazdil 2019-08-20 13:49:35 UTC
Verified on NICs and Disks tabs
INSTALLER_VERSION=4.2.0-0.nightly-2019-08-15-073735
HCO-v2.1.0-13


Note You need to log in before you can comment on or make changes to this bug.